SetActivLeaf("Bedroom");

fb={0,0,0,1,1,1,1,0}
CreatePolygon(902,4,"fb")
CreatePolygon(904,4,"fb")

AddEmiter(902,"wall_bug2",nil,nil,nil,true);
StartEmiter("wall_bug2");
MoveEmiter("wall_bug2",1,179)

AddEmiter(904,"wall_bug4",nil,nil,nil,true);
StartEmiter("wall_bug4");
MoveEmiter("wall_bug4",533,384)




leaves_0_0_table={72,215,73,215,73,216};
CreatePolygon(NewId("bug_1_0"),3,"leaves_0_0_table");
AddEmiter(obj.bug_1_0.id,"bug_9_0",nil,nil,nil,true);
StartEmiter("bug_9_0");
MoveEmiter("bug_9_0",950,720)


addstaticobjecttogame(124,"bed_anim",28,31,"",0,0,149,213);
addstaticobjecttogame(125,"bed_anim",28,31,"",149,0,146,214);


addstaticobjecttogame(126,"bed_anim",278,288,"",295,0,209,151);
addstaticobjecttogame(127,"bed_anim",250,284,"",504,0,246,153);

addstaticobjecttogame(211,"bugb1",2000,0,"")
addstaticobjecttogame(212,"bugb1",2000,0,"")
addstaticobjecttogame(213,"bugb1",2000,0,"")
addstaticobjecttogame(214,"bugb1",2000,0,"")

flySp = {"InstantiationOfLine", 2, 106,405, -100,286,9, true};
flySp2 = {"InstantiationOfLine", 2, 431,370, 520,300,13, true};
flySp3 = {"InstantiationOfLine", 2, 0,64, 92,40,6, true};
flySp4 = {"InstantiationOfLine", 2, 498,175, 427,105,11, true};
flySp1 = {"InstantiationOfLine", 2, 931,409, 2000,0, 0.0001, true};
StartTravel(211,2,nil,nil,flySp,flySp1);
StartTimer(2111,15)

StartTimer(2121,2)
StartTimer(2131,5)
StartTimer(2141,7)


mini_BedroomKrugi_9_0_table={23,540,116,540,116,611,23,611};
CreatePolygon(NewId("mini_BedroomKrugi_9_0"),4,"mini_BedroomKrugi_9_0_table");
--ShowPolygon(obj.mini_BedroomKrugi_9_0.id,true);
AddEmiter(obj.mini_BedroomKrugi_9_0.id,"Standart_9_1");
StartEmiter("Standart_9_1");
addstaticobjecttogame(324,"BigTexture109",823,440,"",243,6,150,148);

NewObj("tumbochka_otkrytaya_9_0","BigTexture109",30,530,"",0,0,0,0,85,128);
NewObj("holst_9_0","BigTexture109",670,390,"",0,0,86,0,109,154);

door_KoridorMuzeya_9_0_table={128,640,896,640,896,736,128,736};
CreatePolygon(NewId("door_KoridorMuzeya_9_0"),4,"door_KoridorMuzeya_9_0_table");
--ShowPolygon(obj.door_KoridorMuzeya_9_0.id,true);

door_BedroomHidden_9_0_table={251,443,521,517,520,640,251,570};
CreatePolygon(NewId("door_BedroomHidden_9_0"),4,"door_BedroomHidden_9_0_table");
--ShowPolygon(obj.door_BedroomHidden_9_0.id,true);
AddEmiter(obj.door_BedroomHidden_9_0.id,"Hidden_9_1",true,nil,nil,true);
StartEmiter("Hidden_9_1");

AddEmiter(obj.holst_9_0.id,"Standart_9_2");
StartEmiter("Standart_9_2");

mini_Kartina_9_0_table={570,60,730,60,730,360,570,360};
CreatePolygon(NewId("mini_Kartina_9_0"),4,"mini_Kartina_9_0_table");
--ShowPolygon(obj.mini_Kartina_9_0.id,true);
AddEmiter(obj.mini_Kartina_9_0.id,"Standart_9_3");
StartEmiter("Standart_9_3");

mini_BedroomKamin_9_0_table={811,456,923,456,923,576,811,576};
CreatePolygon(NewId("mini_BedroomKamin_9_0"),4,"mini_BedroomKamin_9_0_table");
--ShowPolygon(obj.mini_BedroomKamin_9_0.id,true);
AddEmiter(obj.mini_BedroomKamin_9_0.id,"Standart_9_4");
StartEmiter("Standart_9_4");

NewObj("bg_9_0","bg_9_0",0,0,"");
ActivateObject(obj.bg_9_0.id,false);

